## golang-uber-goleak 1.2.0

=== Makefile ===
export GOBIN ?= $(shell pwd)/bin

GOLINT = $(GOBIN)/golint

GO_FILES := $(shell \
	find . '(' -path '*/.*' -o -path './vendor' ')' -prune \
	-o -name '*.go' -print | cut -b3-)

.PHONY: build
build:
	go build ./...

.PHONY: install
install:
	go mod download

.PHONY: test
test:
	go test -v -race ./...
	go test -v -trace=/dev/null .

.PHONY: cover
cover:
	go test -race -coverprofile=cover.out -coverpkg=./... ./...
	go tool cover -html=cover.out -o cover.html

$(GOLINT):
	go install golang.org/x/lint/golint

.PHONY: lint
lint: $(GOLINT)
	@rm -rf lint.log
	@echo "Checking formatting..."
	@gofmt -d -s $(GO_FILES) 2>&1 | tee lint.log
	@echo "Checking vet..."
	@go vet ./... 2>&1 | tee -a lint.log
	@echo "Checking lint..."
	@$(GOLINT) ./... 2>&1 | tee -a lint.log
	@echo "Checking for unresolved FIXMEs..."
	@git grep -i fixme | grep -v -e '^vendor/' -e '^Makefile' | tee -a lint.log
	@[ ! -s lint.log ]

## golang-uber-goleak 1.1.0

=== debian/changelog ===
golang-uber-goleak (1.1.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 15:52:09 +0000

golang-uber-goleak (1.1.0-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Mar 2021 09:50:56 +0000

=== debian/control ===
Source: golang-uber-goleak
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-goleak
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-goleak.git
Homepage: https://github.com/uber-go/goleak
Rules-Requires-Root: no
XS-Go-Import-Path: go.uber.org/goleak

Package: golang-uber-goleak-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: goroutine leak detector
 This package contains a leak detector library to help avoid
 Goroutine leaks.
 .
 goleak also supports semver releases. It is compatible with Go 1.5+.
 .
 Instead of checking for leaks at the end of every test, goleak can also
 be run at the end of every test package.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-uber-goleak-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/uber-go/goleak/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-uber-goleak 1.1.12

=== debian/changelog ===
golang-uber-goleak (1.1.12-1) unstable; urgency=medium

  * New upstream release.
  * reverse dependencies successfully built with ratt:
    - prometheus

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Jan 2022 02:09:47 +0100

golang-uber-goleak (1.1.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: package does not build with gcc-go, so depend on
                    golang-go instead of golang-any (Closes: #990081)
  * reverse dependencies successfully built with ratt:
    - nothing todo for this package

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Sep 2021 19:37:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-go,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-goleak
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-goleak.git
 Homepage: https://github.com/uber-go/goleak

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-uber-goleak-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/uber-go/goleak/tags .*/v?(\d\S*)\.tar\.gz debian uupdate

## golang-uber-goleak 1.2.0

=== debian/changelog ===
golang-uber-goleak (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Section to golang in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 23 Nov 2022 13:08:10 +0000

golang-uber-goleak (1.1.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 14:24:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: golang-uber-goleak
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-goleak
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-goleak.git
 Homepage: https://github.com/uber-go/goleak
@@ -19,6 +19,7 @@
 Architecture: all
 Depends: golang-github-stretchr-testify-dev,
          ${misc:Depends}
+Multi-Arch: foreign
 Description: goroutine leak detector
  This package contains a leak detector library to help avoid
  Goroutine leaks.

## golang-uber-goleak 1.2.1

=== debian/changelog ===
golang-uber-goleak (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.2 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 08 Jul 2023 00:30:47 +0000

## golang-uber-goleak 1.3.0

=== debian/changelog ===
golang-uber-goleak (1.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 18 Nov 2023 13:27:52 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-go,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-uber-goleak
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-uber-goleak.git
 Homepage: https://github.com/uber-go/goleak
